package com.ruixuan.jinniu.mapper;

import com.ruixuan.jinniu.entity.KuaishouProjectMember;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目人员信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-16
 */
public interface KuaishouProjectMemberMapper {
    /**
     * 查询项目人员信息
     *
     * @param id 项目人员信息主键
     * @return 项目人员信息
     */
    public KuaishouProjectMember selectKuaishouProjectMemberById(Long id);

    /**
     * 查询项目人员信息列表
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 项目人员信息集合
     */
    public List<KuaishouProjectMember> selectKuaishouProjectMemberList(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 新增项目人员信息
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 结果
     */
    public int insertKuaishouProjectMember(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 修改项目人员信息
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 结果
     */
    public int updateKuaishouProjectMember(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 删除项目人员信息
     *
     * @param id 项目人员信息主键
     * @return 结果
     */
    public int deleteKuaishouProjectMemberById(Long id);

    List<KuaishouProjectMember> queryProjectUsers(Long projectId);

    int replaceBatch(@Param("list") List<KuaishouProjectMember> list);

    int deleteProjectUsers(@Param("projectId") Long projectId, @Param("userId") Long userId);
}